<? $defines = Zend_Registry::get('defines') ?>
<? $system = ROYAL_SYSTEM == Cubix_Application::getById()->measure_units ? ROYAL_SYSTEM : METRIC_SYSTEM ?>
<?php
function hasStatusBit($old_status, $status)
{
    $result = true;
    $result = ($old_status & $status) && $result;
    return $result;
}
$is_offline = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_OFFLINE);

?>
<?= $this->render('profile/profile-tabs.phtml')?>

<form action="" >
    <? if($is_offline):?>
        <div class="card-block top-status-block" style="padding: 20px 0;">
            <div class="alert alert-danger" role="alert">
                <span>Attention! Your ad is not visible on the site!
Our team marked your ad as breaking at least one of our guidelines. Please contact support  or info@escortguide.co.uk to find out what the problem is and what to do to fix it.</span>
            </div>
        </div>
    <? endif;?>
    <input type="hidden" name="action" value="<?= $this->action?>">
    <?php  if($this->escortId):?>
        <input type="hidden" name="escort" value="<?= $this->escortId ?>" />
    <?php endif;?>

    <div class="row">
        <div class="col-lg-4 custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-user"></i> Biography
                </div>

                <div class="card-block">
                    <fieldset class="form-group">
                        <label>Showname</label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-user"></i></span>
                            <input type="text" required=""  name="showname" value="<?= $this->data['showname'] ?>" class="form-control" >
                        </div>
                        <p id="validation-showname" class="text-danger m-0"></p>
                    </fieldset>

                    <fieldset class="form-group">
                        <label>Slogan</label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-id-card-o"></i></span>
                            <input type="text" name="slogan" value="<?= $this->slogan ?>" class="form-control" >
                        </div>
                        <p id="validation-slogan" class="text-danger m-0"></p>
                    </fieldset>

                    <?php $_dsb = ''; ?>
                    <? if ($this->mode != 'create'): ?>
                        <?php $_dsb = 'disabled readonly'; ?>
                        <input type="hidden" name="gender" value="<?= $this->data['gender'] ?>" />
                    <? endif; ?>
                    <fieldset class="form-group">
                        <label class="d-flex">Gender</label>
                        <? foreach ( $defines['gender_options'] as $i => $gender ): ?>
                            <label class="custom-control custom-radio">
                                <input id="gender-<?= $i ?>" class="custom-control-input" type="radio" required="" <?=$_dsb?> name="gender" value="<?= $i ?>"<?= $i == $this->data['gender'] ? ' checked="checked"' : '' ?> />
                                <span class="custom-control-indicator"></span>
                                <span class="custom-control-description"><?= $gender ?></span>
                            </label>

                        <? endforeach ?>
                        <p id="validation-gender" class="text-danger m-0"></p>
                    </fieldset>

                    <div class="form-group row">
                        <? $age = $this->dateToAge($this->data['birth_date']); ?>
                        <label class="col-md-3 form-control-label" for="select"><?= __('pv2_label_age') ?></label>
                        <div class="col-md-9">
                            <select id="select"  name="age" class="form-control form-control-sm">
                                <option value="0">Please select</option>
                                <? for ( $i = 18; $i <= 60; $i++ ): ?>
                                    <option value="<?= $i ?>"<?= $age == $i ? ' selected="selected"' : '' ?><?= $age == $i ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
                                <? endfor ?>
                            </select>
                        </div>
                    </div>

                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="select"><?= __('pv2_label_ethnicity') ?></label>
                        <div class="col-md-9">
                            <select name="ethnicity" class="form-control form-control-sm">
                                <option value="0">Please select</option>
                                <? foreach ( $defines['ethnic_options'] as $i => $ethnicity ): ?>
                                    <option value="<?= $i ?>"<?= $this->data['ethnicity'] == $i ? ' selected="selected"' : '' ?><?= $this->data['ethnicity'] == $i ? ' selected="selected"' : '' ?>><?= $ethnicity ?></option>
                                <? endforeach; ?>
                            </select>
                        </div>
                    </div>

                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="select"><?= __('pv2_label_nationality') ?></label>
                        <div class="col-md-9">
                            <select name="nationality_id" class="form-control form-control-sm">
                                <option value="0">Please select</option>

                                <? $model = new Model_Escorts(); foreach ( $model->getNationalityOptions() as $nationality ): ?>
                                    <option value="<?= $nationality->id ?>"<?= $this->data['nationality_id'] == $nationality->id ? ' selected="selected"' : '' ?>><?= $nationality->title ?>&nbsp;&nbsp;</option>
                                <? endforeach; ?>
                            </select>
                        </div>
                    </div>

                </div>  <!-- Card block -->
            </div>
        </div>
        <!--/.col-->
        <div class="col-lg-4 custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-id-card-o"></i>  Vital Statistics
                </div>
                <div class="card-block">

                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="select"><?= __('pv2_label_hair_color') ?> <span class="text-danger">*</span></label>
                        <div class="col-md-9">
                            <select id="select" required name="hair_color" class="form-control form-control-sm">
                                <option value="">Please select</option>
                                <? foreach ( $defines['hair_color_options'] as $i => $color ): ?>
                                    <option <?= $this->data['hair_color'] == $i ? ' selected="selected"' : '' ?> value="<?= $i ?>"><?= $color ?></option>
                                <? endforeach ?>
                            </select>
                            <p id="validation-hair_color" class="text-danger m-0"></p>
                        </div>
                    </div>

                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="select"><?= __('hair_length') ?></label>
                        <div class="col-md-9">
                            <select id="select" name="hair_length" class="form-control form-control-sm">
                                <option value="" >Please select</option>
                                <? foreach ( $defines['hair_length_options'] as $i => $length ): ?>
                                    <option <?= $this->data['hair_length'] == $i ? ' selected="selected"' : '' ?> value="<?= $i ?>"><?= $length ?></option>
                                <? endforeach ?>
                            </select>
                            <p id="validation-hair_length" class="text-danger m-0"></p>
                        </div>
                    </div>

                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="select"><?= __('pv2_label_eye_color') ?> <span class="text-danger">*</span></label>
                        <div class="col-md-9">
                            <select id="select" required name="eye_color" class="form-control form-control-sm">
                                <option value="" >Please select</option>
                                <? foreach ( $defines['eye_color_options'] as $i => $color ): ?>
                                    <option <?= $this->data['eye_color'] == $i ? ' selected="selected"' : '' ?> value="<?= $i ?>"><?= $color ?></option>
                                <? endforeach ?>
                            </select>
                            <p id="validation-eye_color" class="text-danger m-0"></p>
                        </div>
                    </div>

                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="select"><?= __('pv2_label_height') ?></label>
                        <? $height = $system == ROYAL_SYSTEM ? Cubix_UnitsConverter::convert($this->data['height'], 'cm', 'ftin') : $this->data['height'] ?>
                        <div class="col-md-9">
                            <select id="select" name="height" class="form-control form-control-sm">
                                <option value="" >Please select</option>
                                <? foreach ( $this->defines['biography'][$system]['height'] as $i ): ?>
                                    <option value="<?= htmlentities($i) ?>"<?= $height == $i ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
                                <? endforeach ?>
                            </select>

                        </div>
                    </div>

                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="select"><?= __('pv2_label_weight') ?> <small class="text-muted"><?= ROYAL_SYSTEM == $system ? 'lbs' : 'kg' ?></small></label>
                        <? $weight = $system == ROYAL_SYSTEM ? Cubix_UnitsConverter::convert($this->data['weight'], 'kg', 'lbs') : $this->data['weight'] ?>
                        <div class="col-md-9">
                            <select id="select" name="weight" class="form-control form-control-sm">
                                <option value=""  >Please select</option>
                                <? foreach ( $this->defines['biography'][$system]['weight'] as $i ): ?>
                                    <option value="<?= $i ?>"<?= $weight == $i ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
                                <? endforeach ?>
                            </select>

                        </div>
                    </div>

                    <?if($this->escort->gender != GENDER_MALE):?>
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="select"><?= __('pv2_label_cup_size') ?></label>
                        <div class="col-md-9">
                            <select id="select" name="cup_size" class="form-control form-control-sm">
                                <option value=""  >Please select</option>
                                <? foreach ( $defines['breast_size_options'] as $i => $s ): ?>
                                    <option value="<?= $s ?>"<?= $this->data['cup_size'] == $s ? ' selected="selected"' : '' ?>><?= $s ?>&nbsp;&nbsp;</option>
                                <? endforeach ?>
                            </select>
                        </div>
                    </div>
                    <?endif?>


                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="select"><?= __('pv2_label_dress_size') ?></label>
                        <div class="col-md-9">
                            <select id="select" name="dress_size" class="form-control form-control-sm">
                                <option value=""  >Please select</option>
                                <? foreach ( $this->defines['biography'][$system]['dress_size'] as $i ): ?>
                                    <option value="<?= $i ?>"<?= $this->data['dress_size'] == $i ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
                                <? endforeach ?>
                            </select>
                        </div>
                    </div>


                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="select"><?= __('pv2_label_shoe_size') ?></label>
                        <div class="col-md-9">
                            <select id="select" name="shoe_size" class="form-control form-control-sm">
                                <option value=""  >Please select</option>
                                <? foreach ( $this->defines['biography'][$system]['shoe_size'] as $i ): ?>
                                    <option value="<?= $i ?>"<?= $this->data['shoe_size'] == $i ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
                                <? endforeach ?>
                            </select>
                        </div>
                    </div>

                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="select"><?= __('pv2_label_pubic_hair') ?></label>
                        <div class="col-md-9">
                            <select id="select" name="pubic_hair" class="form-control form-control-sm">
                                <option value=""  >Please select</option>
                                <? foreach ( $defines['pubic_hair_options'] as $i => $hair ): ?>
                                    <option value="<?= $i ?>"<?= $this->data['pubic_hair'] == $i ? ' selected="selected"' : '' ?>><?= $hair ?>&nbsp;&nbsp;</option>
                                <? endforeach ?>
                            </select>
                        </div>
                    </div>


                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="select"><?= __('pv2_label_breast_type') ?></label>
                        <div class="col-md-9">
                            <? foreach ( $defines['breast_type_options'] as $i => $breast ): ?>
                                <label class="custom-control custom-radio">
                                    <input name="breast_type" type="radio" class="custom-control-input" value="<?= $i; ?>" <?= $this->data['breast_type'] == $i ? ' checked="checked"' : '' ?>>
                                    <span class="custom-control-indicator"></span>
                                    <span class="custom-control-description"><?= $breast?></span>
                                </label>
                            <? endforeach ?>
                        </div>
                    </div>

                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="select"><?= __('pv2_label_tattoo') ?></label>
                        <div class="col-md-9">
                            <? foreach ( $defines['tatoo_options'] as $i => $tatoo ): ?>
                                <label class="custom-control custom-radio">
                                    <input name="tatoo" type="radio" class="custom-control-input" value="<?= $i; ?>" <?= $this->data['tatoo'] == $i ? ' checked="checked"' : '' ?>>
                                    <span class="custom-control-indicator"></span>
                                    <span class="custom-control-description"><?= $tatoo?></span>
                                </label>
                            <? endforeach ?>
                        </div>
                    </div>


                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="select"><?= __('pv2_label_piercing') ?></label>
                        <div class="col-md-9">
                            <? foreach ( $defines['piercing_options'] as $i => $piercing ): ?>
                                <label class="custom-control custom-radio">
                                    <input name="piercing" type="radio" class="custom-control-input" value="<?= $i; ?>" <?= $this->data['piercing'] == $i ? ' checked="checked"' : '' ?>>
                                    <span class="custom-control-indicator"></span>
                                    <span class="custom-control-description"><?= $piercing?></span>
                                </label>
                            <? endforeach ?>
                        </div>
                    </div>

                </div><!-- Card block -->
            </div>
        </div>
        <!--/.col-->

        <div class="col-lg-4 custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-globe"></i>  <?= __('pv2_block_countries') ?>
                </div>
                <div class="card-block">
                    <fieldset class="form-group">
                        <label>Countries</label>
                        <?php $countries = $this->countries;
                        ?>

                        <?php $exists_countries = Private_ProfileController::getModifiedArray('country_id',$this->data['block_countries']);?>

                        <select id="select2-2" name="block_countries[]" class="form-control" multiple="multiple">
                            <?php if ( count( $countries ) > 0 ):?>
                                <? foreach ( $countries as $country ): ?>
                                    <option <?= (in_array($country->id,$exists_countries)) ? 'selected':'';?>
                                            value="<?= $country->id ?>" ><?= $country->title ?></option>
                                <? endforeach; ?>
                            <?php endif;?>
                        </select>

                        <small class="text-muted"><?= __('blocked_country_desc') ?> </small>
                    </fieldset>
                </div><!-- Card block -->
            </div>
        </div>
        <!--/.col-->
        <div class="col-md-12 d-flex">
            <button type="submit" class="btn m-auto btn-outline-success btn-lg active fixed-button">Save</button>
        </div>
    </div>
</form>
